# generated by cabal-rpm-2.2.1 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name brick
%global pkgver %{pkg_name}-%{version}
%{?haskell_setup}

%global bimap bimap-0.5.0
%global vtycrossplatform vty-crossplatform-0.4.0.0
%global vtyunix vty-unix-0.2.0.0

%global subpkgs %{bimap} %{vtyunix} %{vtycrossplatform}

# fails to compile
%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        2.1.1
# can only be reset when all subpkgs bumped
Release:        7.rvrebuild0%{?dist}
Summary:        A declarative terminal user interface library

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{bimap}/%{bimap}.tar.gz
Source2:        https://hackage.haskell.org/package/%{vtycrossplatform}/%{vtycrossplatform}.tar.gz
Source3:        https://hackage.haskell.org/package/%{vtyunix}/%{vtyunix}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-base-devel
#BuildRequires:  ghc-bimap-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-config-ini-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-clist-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-microlens-devel
BuildRequires:  ghc-microlens-mtl-devel
BuildRequires:  ghc-microlens-th-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-text-zipper-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-vty-devel
#BuildRequires:  ghc-vty-crossplatform-devel
BuildRequires:  ghc-word-wrap-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base-prof
#BuildRequires:  ghc-bimap-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-config-ini-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-data-clist-prof
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-microlens-prof
BuildRequires:  ghc-microlens-mtl-prof
BuildRequires:  ghc-microlens-th-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-stm-prof
BuildRequires:  ghc-template-haskell-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-text-zipper-prof
BuildRequires:  ghc-unix-compat-prof
BuildRequires:  ghc-vector-prof
BuildRequires:  ghc-vty-prof
#BuildRequires:  ghc-vty-crossplatform-prof
BuildRequires:  ghc-word-wrap-prof
%endif
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
#BuildRequires:  ghc-vty-unix-devel
%endif
# for missing dep 'vty-unix':
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-terminfo-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel
%if %{with ghc_prof}
BuildRequires:  ghc-ansi-terminal-prof
BuildRequires:  ghc-blaze-builder-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-terminfo-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-unix-prof
BuildRequires:  ghc-utf8-string-prof
%endif
# End cabal-rpm deps

%description
Write terminal user interfaces (TUIs) painlessly with 'brick'!
You write an event handler and a drawing function and
the library does the rest.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage -l BSD-3-Clause %{bimap}
%ghc_lib_subpackage -l BSD-3-Clause %{vtycrossplatform}
%ghc_lib_subpackage -l BSD-3-Clause %{vtyunix}
%endif

%global version %{main_version}


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver} -a1 -a2 -a3
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_libs_build %{subpkgs}
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
# End cabal-rpm install

echo %{_bindir}/vty-unix-build-width-table >> %{vtyunix}/ghc-vty-unix.files

%check
%if %{with tests}
%cabal_test
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Sat Jul 20 2024 Jens Petersen <petersen@redhat.com> - 2.1.1-7
- https://hackage.haskell.org/package/brick-2.1.1/changelog
- add vty-crossplatform and vty-unix

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 23 2023 Jens Petersen <petersen@redhat.com> - 1.9-3
- https://hackage.haskell.org/package/brick-1.9/changelog

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jan 22 2023 Jens Petersen <petersen@redhat.com> - 1.4-1
- https://hackage.haskell.org/package/brick-1.4/changelog
- refresh to cabal-rpm-2.1.0 with SPDX migration
- new dep: bimap

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Jens Petersen <petersen@redhat.com> - 0.62-3
- rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.62-1
- update to 0.62

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.58.1-1
- update to 0.58.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.52.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.52.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.52.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 07 2020 Jens Petersen <petersen@redhat.com> - 0.52.1-1
- update to 0.52.1

* Thu Feb 20 2020 Jens Petersen <petersen@redhat.com> - 0.50.1-3
- refresh to cabal-rpm-2.0.2

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.50.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 28 2019 Jens Petersen <petersen@redhat.com> - 0.50.1-1
- update to 0.50.1

* Sat Dec 28 2019 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.47.1-1
- spec file generated by cabal-rpm-1.0.3
